List Negative Keywords

Retrieve a list of all the negative keywords for a specific campaign by providing campaign ID and advertiser ID.

📘

URL: GET /api/v1/negative_keywords

Query Parameters

ParameterNotesTypeRequiredPossible Values
campaignIdThe ID of the campaign to which the negative keyword is addedintegerYA valid campaign ID
advertiserIdThe ID of the advertiserintegerYA valid advertiser ID

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
WM_CONSUMER.IDWe will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATUREAuth signature as an API key.YUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONWe will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value
Content-TypeFormat of the message bodyYapplication/json

Sample Request 1

curl -X GET \ "https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/negative_keywords?campaignId=600001&advertiserId=500003" \
--header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \

Sample Request 2

curl -X GET \ "<https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/negative_keywords?campaignId=600001&advertiserId=500003" \
--header 'Authorization: Bearer \<auth_token>' \
--header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \

Response

ElementDescriptionType
adGroupIdThe ID of the ad group belonging to campaign in questionstring
keywordIdID of the keywordstring
negativeMatchTypeThe matching strategy under which the retrieved negative keyword is falling: negativeExact: Your ads don't show against keywords/search queries that exactly matches the bidded keyword(s)
negativePhrase: Your ads don't show against keywords/search queries that includes the specified phrase in the bidded keyword(s)
string
stateThe current state of the negative keyword resource.
There can be following values of state:
enabled
paused
archived
string
keywordTextThe text of the retrieved keywordstring
campaignIdID of the campaigninteger

Sample Response 1

[ { "campaignId": 600001, "keywordId": 600005, "adGroupId": 500001, "keywordText": "keyword 1", "negativeMatchType": "negativeExact", "state": "enabled" }
]

Sample Response 2

[ { "campaignId": 600001, "keywordId": 600005, "adGroupId": 500001, "keywordText": "keyword 2", "negativeMatchType": "negativePhrase", "state": "enabled" } ]

Did this page help you?